/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package colisoes;

import java.awt.Graphics;
import java.awt.Point;
import javaPlay.GameObject;
import javaPlay.Sprite;

/**
 *
 * @author Gefersom
 */
public class Inimigo extends GameObject
{

    private Sprite sprite;
    private boolean voltar;    
    private boolean moverEixoX;


    public void setSprite ( Sprite sprite )
    {
        this.sprite = sprite;
    }

    public void setPosicaoIncial( Point ponto )
    {
        x = ponto.x;
        y = ponto.y;
        voltar = true;
        moverEixoX = false;
    }   

    //Seta em qual eixo o inimigo irá se mover, caso nenhum eixo seja escolhido será subentendido o eixo X
    public void setMexerEixoX( boolean moverEixoX )
    {
        this.moverEixoX =  moverEixoX;
    }

    @Override
    public void step(long timeElapsed)
    {
        //Move o Sprite do Inimigo só no eixo X, indo de um lado ao outro
        if ( moverEixoX == true )
        {
            if ( voltar == false )
                if ( x < NumerosControle.BORDA_DIREITA )
                    x++;
                else
                    voltar = true;
            else
                if ( x > NumerosControle.BORDA_ESQUERDA )
                    x--;
                else
                    voltar = false;
        }
        else
        {
            //Move o Sprite do Inimigo só no eixo Y, indo até em cima e retornando abaixo
            if ( voltar == false )
                if ( y > NumerosControle.BORDA_SUPERIOR )
                    y--;
                else
                    voltar = true;
            else
                if ( y < NumerosControle.BORDA_INFERIOR )
                    y++;
                else
                    voltar = false;            
        }
    }

    //Desenha o inimigo na tela
    @Override
    public void draw(Graphics g) {
        sprite.draw(g, x, y);
    }

}
